=begin pod

=TITLE class X::Syntax::NegatedPair

    class X::Syntax::NegatedPair does X::Syntax { }

Thrown if a colonpair illegally has a value, for example C<:!a(1)>.
This is an error because the C<!> negation implies that the value is C<False>.

A typical error message from this class is I<Argument not allowed on
negated pair with key 'a'>.

=head1 Methods

=head2 key

Returns the key of the pair that caused the error.

=end pod
